Summary:	Samba share browser
Name:		LinNeighborhood
Version:	0.6.5
Release:	%mkrel 10
License:	GPL
Group:		Networking/Other
URL:		http://www.bnro.de/~schmidjo/
Source:		http://www.bnro.de/~schmidjo/download/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source4:	http://c64.rulez.org/~lion/LinNeighborhood-0.6.5-hu_HU.po.gz
Patch0:		%{name}-0.6.5.smb3.patch
BuildRequires:	libgtk+-devel >= 1.2
Requires:	samba-client
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LinNeighborhood is a front end to Samba using the gtk libraries. 

%prep

%setup -q 
%patch0 -p1
zcat %{SOURCE4} > po/hu.po
sed -i -e 's,zh_TW,zh_TW hu,g' configure

%build
%configure
%make

%install
rm -rf %{buildroot}

%makeinstall

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}

install -m0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(LinNeighborhood): \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="x11" \
title="%{name}" \
section="Internet/File transfer" \
longtitle="Graphical front end to Samba (LinNeighborhood)" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=LinNeighborhood
Comment=Graphical front end to Samba (LinNeighborhood)
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;
EOF

%find_lang %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog BUGS INSTALL CONFIGURATION README* TODO THANKS ABOUT-NLS
%{_bindir}/LinNeighborhood
%{_datadir}/icons/LinNeighborhood.xpm
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/LinNeighborhood
%{_datadir}/applications/*.desktop


%changelog
* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-10mdv2007.1
+ Revision: 145715
- Import LinNeighborhood



* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-10mdv2007.1
- use the %%mrel macro
- bunzip patches
- fix xdg menu

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.5-9mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.5-8mdk
- Rebuild

* Mon Jul 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.5-7mdk
- Rebuild
- %%mkrel 
- make rpmbuildupdate happy

* Tue Jun 08 2004 Buchan Milne <bgmilne@linux-mandrake.co> 0.6.5-6mdk
- add hu translation provided by Ferenc Veres

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.6.5-5mdk
- Fix menu

* Wed Feb 11 2004 Olivier Blin <blino@mandrake.org> 0.6.5-4mdk
- add Patch0, fixes for samba3 :
  - do not use ip= without IP address in smbbrowse
  - move NetBios name after -- at end of nmblookup command line

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.5-3mdk
- rebuild
- drop Prefix tag
- rm -rf %%{buildroot} in %%install, not %%prep

* Thu Feb 27 2003 David BAUDENS <baudens@mandrakesoft.com> 0.6.5-2mdk
- Fix menu entry

* Wed Jun 26 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.5-1mdk
- 0.6.5

* Tue Jun 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.4-2mdk
- add %%{_iconsdir}/%%{name}.png and %%{_liconsdir}/%%{name}.png

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Fri Jun 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-2mdk
- fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- moved menu entry to spec file
	- %%find_lang macro
	- updated requires
	- added mini icon
	- %%configure macro

* Tue Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- clean desc.
- fix requires, buildrequires

* Thu Dec 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- some cleanings

* Thu Oct 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- used srpm provided by John Johnson <john@cyberbytesbbs.com>

* Fri Jul 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-2mdk
- macros
- bm

* Wed Jul 10 2000 Colin Tinker <g1gsw@lineone.net> 0.6.0-1mdk
- v0.6.0

* Wed Jun 21 2000 John Johnson <jjohnson@linux-mandrake.com> 0.4.4-1mdk
- Made Mandrake rpm


* Wed Jun 21 2000 Hans Schmid <schmidjo@bnro.de>
- 0.6.0
  support for GNU automake + autoconf
  internationalization using GNU gettext
  support for global (sysadmin) + local configuration
  separate code modules for GUI and non-GUI code
  browse data storage in memory structures instead of GUI (gtk+) structures
  small bugfixes and improvements in browsing + mounting code
